Skip to main content
GET
Get X Activity Subscriptions

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

like.read

View Posts you have liked and likes you can see.

tweet.read

View all posts you can see, including those from protected accounts.

Query Parameters

max_results
integer<int32>
default:1000
Required range: 1 <= x <= 1000
pagination_token
string

A base32hex-encoded pagination token that decodes to 9 bytes.

Minimum string length: 16
user_id
string

Only return subscriptions whose filter.user_id matches. Unique identifier of a User

Pattern: ^[0-9]{1,19}$
Example:

"2244994945"

Response

The request has succeeded.

data
object[]
errors
object[]